> For the complete documentation index, see [llms.txt](https://docs.aeternity.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aeternity.com/developer-documentation/aesophia_cli/changelog.md).

# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),\
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased](https://github.com/aeternity/aesophia_cli/compare/v8.0.0-rc1...HEAD)

### Added

### Changed

### Removed

## [8.0.0](https://github.com/aeternity/aesophia_cli/compare/v7.4.1...v8.0.0)

### Changed

* Updated to [Sophia 8.0.0](https://github.com/aeternity/aesophia/blob/master/CHANGELOG.md#800)

## [7.4.1](https://github.com/aeternity/aesophia_cli/compare/v7.4.0...v7.4.1)

### Changed

* Updated to [Sophia 7.4.1](https://github.com/aeternity/aesophia/blob/master/CHANGELOG.md#741)
* Updated `aeserialization` to [v1.1.0](https://github.com/aeternity/aeserialization/releases/tag/v1.1.0)

## [7.4.0](https://github.com/aeternity/aesophia_cli/compare/v7.3.0...v7.4.0)

### Changed

* Updated to [Sophia 7.4.0](https://github.com/aeternity/aesophia/blob/master/CHANGELOG.md#740)

## [7.3.0](https://github.com/aeternity/aesophia_cli/compare/v7.2.1...v7.3.0)

### Changed

* Updated to [Sophia 7.3.0](https://github.com/aeternity/aesophia/blob/master/CHANGELOG.md#730)

## [7.2.1](https://github.com/aeternity/aesophia_cli/compare/v7.1.0...v7.2.1)

### Added

* Decode calldata functionality:`aesophia_cli --decode_calldata cb_KxG3+3bAG1StlAV3 --calldata_fun main_ test/contracts/identity.aes`
* Generate ACI from stub/partial contract with `--no-code` flag`aesophia_cli --create_json_aci <contract_stub> --no_code`
* Add encode/decode functionality for Sophia values:`aesophia_cli --encode_value "(42, true)" --value_type "int * bool"aesophia_cli --decode_value cb_VNLOFXc= --value_type "int * bool"`

### Changed

* Updated to [Sophia 7.2.1](https://github.com/aeternity/aesophia/blob/master/CHANGELOG.md#721)
* add `src_file` to default compiler opts for better error reporting
* fixed bug with include files when using `--validate`

## [7.1.0](https://github.com/aeternity/aesophia_cli/compare/v7.0.1...v7.1.0)

### Changed

* Updated to [Sophia 7.1.0](https://github.com/aeternity/aesophia/blob/master/CHANGELOG.md#710)

## [7.0.1](https://github.com/aeternity/aesophia_cli/compare/v7.0.0...v7.0.1)

### Changed

* Updated to [Sophia 7.0.1](https://github.com/aeternity/aesophia/blob/master/CHANGELOG.md#701)

## [7.0.0](https://github.com/aeternity/aesophia_cli/compare/v6.1.0...v7.0.0)

### Added

* Option `--oneline_errors` for printing errors on one (long) line.

### Changed

* Fixed a bug in calldata encoding - the input was not properly UTF8 encoded.
* Updated to [Sophia 7.0.0](https://github.com/aeternity/aesophia/blob/master/CHANGELOG.md#700)

### Removed

* Support for AEVM backend
* `-b` option to set backend (now only FATE is supported)
* `decode_data` feature, as it worked only on AEVM

## [6.1.0](https://github.com/aeternity/aesophia_cli/compare/v6.0.2...v6.1.0)

### Changed

* Updated to [Sophia 6.1.0](https://github.com/aeternity/aesophia/blob/master/CHANGELOG.md#610---2021-10-20)

## [6.0.2](https://github.com/aeternity/aesophia_cli/compare/v6.0.1...v6.0.2)

### Added

### Changed

* Updated to [Sophia 6.0.2](https://github.com/aeternity/aesophia/blob/master/CHANGELOG.md#602)

### Removed

## [6.0.1](https://github.com/aeternity/aesophia_cli/compare/v6.0.0...v6.0.1)

### Added

### Changed

* Updated to [Sophia 6.0.1](https://github.com/aeternity/aesophia/blob/master/CHANGELOG.md#601)

### Removed

## [6.0.0](https://github.com/aeternity/aesophia_cli/compare/v5.0.0...v6.0.0)

### Added

### Changed

* Updated to [Sophia 6.0.0](https://github.com/aeternity/aesophia/blob/master/CHANGELOG.md#600)

### Removed

## [5.0.0](https://github.com/aeternity/aesophia_cli/compare/v4.3.1...v5.0.0)

### Added

### Changed

* Updated to [Sophia 5.0.0](https://github.com/aeternity/aesophia/blob/master/CHANGELOG.md#500)

### Removed

## [4.3.1](https://github.com/aeternity/aesophia_cli/compare/v4.3.0...v4.3.1) - 2020-04-21

### Added

### Changed

* Fixed included compiler binary file, which was broken due to incorrect local system dependencies.\
  Because the aesophia version hasn't changed, the compiler in this release\
  continues to report as `v4.3.0`.

### Removed

## [4.3.0](https://github.com/aeternity/aesophia_cli/compare/v4.2.0...v4.3.0) - 2020-04-02

### Added

### Changed

* Updated to [Sophia 4.3.0](https://github.com/aeternity/aesophia/blob/master/CHANGELOG.md#430)

### Removed

## [4.2.0](https://github.com/aeternity/aesophia_cli/compare/v4.1.0...v4.2.0) - 2020-01-15

### Added

* Added option `--compiled_by` to extract the compiler version from either a file or a\
  contract byte array.

### Changed

* Updated to [Sophia 4.2.0](https://github.com/aeternity/aesophia/blob/master/CHANGELOG.md#420---2020-01-15)

### Removed

## [4.1.0](https://github.com/aeternity/aesophia_cli/releases/tag/v4.1.0) - 2019-11-26

### Added

* Added option `--validate` to check if bytecode from the chain was compiled from given\
  source code.

### Changed

* Fix bug with standard library includes.

### Removed


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.aeternity.com/developer-documentation/aesophia_cli/changelog.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
